Introducing TransTRBO

For Motorola MOTOTRBO® radios

TransTRBO is a radio base station dispatch console with call logging, voice recording, text messaging, light weight ARS server, radio GPS poll server and integration with Google Maps(TM).

Commissioned by CIM Concepts Pty. Ltd.

Main features

  • Intuitive, easy to use commands
  • Simple screen layout
  • Designed for Touch Screen or mouse
  • Can run as a window, full screen or span multiple monitors
  • Graphical Call indicators for quick call assessment
  • Uses UTC (Coordinated Universal Time) internally
  • UTC timestamps will have second accuracy - if connected to the Internet
  • Supports 4 levels of user access
  • Floating PTT keypads
  • Radio Display simulator
  • Comprehensive Help system with Tooltips
  • Local buttons configurable to match MOTOTRBO programmed values
  • Comprehensive Contact List manipulation
  • Individual Data Services configuration for Text Messaging, ARS Server and LRRP/GPS poll server
  • 200 Slot lightweight ARS server with configurable update time (plus selectable "floating" display)
  • 50 Slot Polled Radio GPS server with configurable poll timer
  • Simple buttons allow adding, removing, saving, loading or resetting of the radio Poll list
  • Google Maps(TM) displayed in a separate scrollable panel with Zoom, Map Load plus centering on points of interest
  • User Selectable, one (finger) press radio Call buttons can contact favourite groups or private numbers

Next Steps ...

  • Overview of TransTRBO - view major windows components
  • Getting Started Wizard - Initial system configuration


Overview of TransTRBO

Major application components

Dispatcher Window - with Contacts Pane and Radio Display enabled

Dispatcher Window - with Favourites Pane enabled

GPS Window - with Favourites Pane enabled

  • System Menu - for login, configuration and registration.
  • Main Toolbars
    • - for accessing dispatcher, remote radio or maintenance functionality.
  • Call Pane - displays recent call information.
  • Contact Pane - displays known contacts.
  • Status Bar - indicator for radio connection, zone/channel and serial number.
  • Floating Keypads - pop-up keypads for selecting, controlling and calling radios.


System Menu (Menu)

System Menu (dropdown Menu)

Pressing the Transit TRBO's Main button will cause the dropdown System Menu to appear.

  • Login - User Login to Transit TRBO
  • Logout - User Logout
  • Register - Register this product
  • Configure System - Configure System settings
  • Configure Radio - Custom Radio Configuration


Login (Menu)

Pressing this Login button in the System Menu or Toolbar will launch the User Login Dialog.

For more detail - press the following link: User Login Dialog.

Note:
This button is disabled while a user is logged in.


Logout (Menu)

Pressing the Logout button in the System Menu or Toolbar will immediately log out the current User.

If the Radio is connected, it will continue logging calls.

Note:
This button is only enabled while a user is logged in.


Register (Menu)

Pressing this Register button in the System Menu or Toolbar will launch the Product Registration Dialog.

For more detail - press the following link: Product Registration Dialog.

Note:
This button is only enabled while a user is logged in.


Configure System (Menu)

Pressing this Configure System button in the System Menu or Toolbar will launch the Global Configuration Dialog.

For more detail - press the following link: Global Configuration Dialog.

Note:
This button is only enabled while a user is logged in.


Configure Radio (Menu)

Pressing this Configure Radio button in the System Menu or Toolbar will launch the Custom Radio Configuration Dialog.

For more detail - press the following link: Custom Radio Configuration Dialog.

Note:
This button is only enabled while a user is logged in AND a Radio is connected.


About (Menu)

The 'About' menu shows the version number of the installed application, its registration type and associated Internet websites.


Help (Menu)

The 'Help' button show these help pages.


Main Toolbars

Dispatcher Toolbar - the most commonly used controls

Radio Toolbar - control a remote radio

Maintenance Toolbar - miscellaneous functionality

Reporting Toolbar - reporting functionality

Location Toolbar - GPS, Radio Polling and Google Map(TM) display


Dispatcher Toolbar

The Dispatcher toolbar is comprised of 6 Panels each with a number of controls in them.

The Panels are known respectively as:-

  • Call Radio - request the connected radio to start a call
    • Private Call - start a private call
    • Group Call - start a group call
    • All System Call - start an all system call
    • Private Alert Call - start an private alerted call
    • Text Message - send a Text Message to another radio
  • Radio Control
    • Zone Up button - send Radio a Zone Up command
    • Zone Down button - send Radio a Zone Down command
    • Channel Up button - send Radio a Channel Up command
    • Channel Down button - send Radio a Channel Down command
  • Volume Control
    • Volume Increase button - send Radio a Volume increase 'bump'
    • Volume Decrease button - send Radio a Volume decrease 'bump'
  • Show/Hide - hide or show a user window
    • Show/Hide Contacts Window - Show or Hide the 'Contact List Window'
    • Show/Hide Favourites Window - Show or Hide the 'Favourites Call Buttons'
    • Show/Hide Radio PTT Window - Show or Hide the Radio Display/PTT window
  • Radio Connect - connect or disconnect from a radio
    • Radio Connect button - Try connecting to the Radio via the USB
    • Radio Disconnect button - Disconnect from any Radio on the USB
  • Emergency Response - send simulated key presses to a radio
    • Emergency Acknowledge button - send the configured script to the Radio
    • Emergency Stand-by button - send the configured script to the Radio


Private Call (button)

The user should press this button when they wish to make a Private Call to another known Radio subscriber number.

Pressing this button will display (pop up) the Private Call floating keypad.

Refer to Private Call (floating keypad) for more details.


Group Call (button)

The user should press this button when they wish to make a call to a known Group of Radios.

Pressing this button will display (pop up) the Group Call floating keypad.

Refer to Group Call (floating keypad) for more details.


All System Call (button)

The user should press this button when they wish to make an All System Call to all radios on the network.

Pressing this button will display (pop up) the All System Call floating keypad.

Refer to All System Call (floating keypad) for more details.

Note"
TransTRBO has the ability to configure 'sub' All System groups and then simulate an All System call to only those radios in that 'sub' group. Refer to All System ID in the Company Configuration page.


Alert Private Call (button)

Private Alert Call (button)

The user should press this button when they wish to make an Private Alert Call to another known Radio subscriber number.

Pressing this button will display (pop up) the Private Alert Call floating keypad.

Refer to Private Alert Call (floating keypad) for more details.


Text Message (button)

The user should press this button when they wish to create and send a Text Message to another known Radio subscriber number.

Pressing this button will display (pop up) the Text Message floating keypad.

Refer to Text Message (floating keypad) for more details.


Zone Up button

Pressing this button will send a request to the radio to move up to the next Zone.

The Status bar Zone field will alter to reflect information about the currently selected Zone.


Zone Down button

Pressing this button will send a request to the radio to move down to the next Zone.

The Status bar Zone field will alter to reflect information about the currently selected Zone.


Channel Up button

Pressing this button will send a request to the radio to move up a channel in the current Zone.

The Status bar Channel field will alter to reflect information about the currently selected Channel.


Channel Down button

Pressing this button will send a request to the radio to move down a channel in the current Zone.

The Status bar Channel field will alter to reflect information about the currently selected Channel.


Volume Increase button

Pressing this button will send a request to the radio to increase the volume by its preset amount.

The Status Bar's volume slider will move to reflect the radio's current volume level.


Volume Decrease button

Pressing this button will send a request to the radio to decrease the volume by its preset amount.

The Status Bar's volume slider will move to reflect the radio's current volume level.


Show/Hide Contacts Window

This tick box determines whether the Contact List or Favourites Call buttons is visible.
Only one of them may be visible at any time. But both may be hidden.

For information on the Contact List follow this link...


Show/Hide Favourites Favourites Window

Show/Hide Favourites Window

This tick box determines whether the Favourites Call buttons or the Contact List is visible.
Only one of them may be visible at any time. But both may be hidden.

For information on the Favourites Call buttons follow this link...


Show/Hide Radio PTT Window

Selecting this check box will display the "floating" Show/Hide Radio PTT Window.

For information on the Radio Display/PTT keypad follow this link...


Radio Connect button

This button is only active when the application is not connected to a radio.

When this button is pressed it will attempt to establish and XNL/XCMP connection to an attached radio.

The Radio Status field in the Status will show what activity is occuring on the link during the connection attempt.


Radio Disconnect button

Radio Disconnect button

This button is only active when the application is connected to a radio.

When this button is pressed it will disconnect the application from the radio.

The Radio Status field in the Status will show what activity is occuring on the link during the disconnection.


Emergency Acknowledge button

Pressing this button will relay the Emergency Acknowledge "script" (a defined series of radio front panel simulated keypresses) to the radio.

This "script" should match the keys that are programmed into the radio to Acknowledge an Emergency condition".

For information on the Emergency scripts/keys follow this link...


Emergency Stand-by button

Pressing this button will relay the Emergency Stand-by "script" (a defined series of radio front panel simulated keypresses) to the radio.

This "script" should match the keys that are programmed into the radio to place an Emergency call into the Stand-by condition.

For information on the Emergency scripts/keys follow this link...


Remote Toolbar

The Remote toolbar is comprised of 2 Panels, each with a number of controls in them.

The Panels are known respectively as:-

  • Call Radio - these buttons are identical to the 'Dispatcher' call requests
    • Private Call - start a private call
    • Group Call - start a group call
    • All System Call - start an all system call
    • Private Alert Call - start an private alerted call
    • Text Message - send a Text Message to another radio
  • Remote Control - issue a remote request to the radio
    • Check Remote Radio button - remote radio status check
    • Enable Remote Radio button - enable a remote radio
    • Disable Remote Radio button - disable a remote radio
    • Monitor Remote Radio button - monitor a remote radio
    • DeKey Remote Radio button - dekey a remote radio


Check Remote Radio (button)

The user should press this button when they wish to make a Check if a remote radio is available.

Pressing this button will display (pop up) the Check Remote Radio floating keypad.

Refer to Check Remote Radio (floating keypad) for more details.


Enable Remote Radio (button)

The user should press this button when they wish to Enable a remote radio.

Pressing this button will display (pop up) the Enable Remote Radio floating keypad.

Refer to Enable Remote Radio (floating keypad) for more details.


Disable Remote Radio (button)

The user should press this button when they wish to Disable a remote radio.

Pressing this button will display (pop up) the Disable Remote Radio floating keypad.

Refer to Disable Remote Radio (floating keypad) for more details.


Monitor Remote Radio (button)

The user should press this button when they wish to Monitor a remote radio.

Pressing this button will display (pop up) the Monitor Remote Radio floating keypad.

Note:
The user access level will determine the keypad that is shown.

Remote users should refer to Monitor Remote Radio (floating keypad) for more details.

Normal users should refer to Monitor Remote Radio (floating keypad) for more details.


De-Key Remote Radio (button)

Data for Remote De-Key button

The user should press this button when they wish to De-key a remote radio.

Pressing this button will display (pop up) the De-Key Remote Radio floating keypad.

Refer to De-Key Remote Radio (floating keypad) for more details.


Maintenance Toolbar

The Maintenance Toolbar contains 3 panels. They are for Contacts, Zon/Channels and Audio Mixer.

Contacts - Contact maintenance

  • Add New (Contact) - Manually add a new Contact
  • Modify (Contact) - Manually Modify or delete a Contact
  • Read Radio (Contacts) - Read the Contact Text list from the Radio's Menu

Channels - Read Zones and Channels

  • Read Channels/Zones - Read Zones/Channels from the Radio's Menu

Audio Mixer - Volume controls

  • Audio Volume Dialog - Dialog for Adjusting Audio Volumes


Add New Contact

Add a New Contact to the Contacts List

Manually adding a new contact basically requires 3 pieces of information. An alias/name for the contact, the type of contact it is i.e. Group or Radio/Subscriber and the contact number.

Alias

This is a text Alias/Name that you want associated with this Contact ID AND Type.

Contact ID

This is either a Radio/Subscriber number or a Group Number.

Type

  • Unknown - the Type associated with Contact ID is unknown
  • Group - the Contact ID is a Group
  • Subscriber - the Contact ID is a Radio/Subscriber number
  • Custom Group - the Contact ID is a Group and is to be placed in the "Favourites"
  • Custom Subscriber - the Contact ID is a Radio/Subscriber number and is to be placed in the "Favourites"
  • Ignore - ignore this ID iwhen it shows up in the system - experimental

Caveats:
The application cannot validate the information entered - so ensure it is correct before using it.
The application can only validate against information it already has i.e.

  • Group and Number
  • Subscriber/Radio and Number
  • Chosen Alias/Name


Modify Existing Contact

Modify/Delete Existing Contact

Find Contacts List

The user may now choose a contact and decide whether to delete or modify it. There are 2 ways available:-

  • Select the contact in the list by left-clicking on it and then pressing either the Modify or Delete button
  • Right-click on the contact in the list and chose Modify or Delete from the pop up menu

Modify Existing Contact Dialog

The contact information is able to be modified with this dialog

Alias

This is a text Alias/Name that you want associated with this Contact ID AND Type.

Contact ID

This is either a Radio/Subscriber number or a Group Number.

This is a text Alias/Name that you want associated with this Contact ID AND Type.

Type

  • Unknown - the Type associated with Contact ID is unknown
  • Group - the Contact ID is a Group
  • Subscriber - the Contact ID is a Radio/Subscriber number
  • Custom Group - the Contact ID is a Group and is to be placed in the "Favourites"
  • Custom Subscriber - the Contact ID is a Radio/Subscriber number and is to be placed in the "Favourites"
  • Ignore - ignore this ID iwhen it shows up in the system - experimental

Delete Existing Contact Dialog

The user can now review the contact information before final deletion. Pressing the Delete button will then remove the contact from the system.

Caveats:
The application cannot validate the information entered - so ensure it is correct before using it.
The application can only validate against information it already has i.e.

  • Group and Number
  • Subscriber/Radio and Number
  • Chosen Alias/Name


Read Radio Contact List

This button initiates a series of requests from the Application to the attached radio. It requests a list of all Contact names in the radio's menu.

For more information refer to the Contact List section.

Note:
Only admins have access to this button.


Read Radio Channels/Zones

This button initiates a series of requests from the Application to the attached radio. It requests a list of all Zones and the Channels within each Zone.

This information will be used in the Status Bar.

Note:
Only admins have access to this button.


Display Audio Volume Dialog

The user should press this button when they wish to adjust the Audio Mixer volume levels on this PC.

Pressing this button will display the Audio Volume dialog.

Refer to Setup Audio Volume dialog for more details.

Note:
This button will only be enabled if the Audio Option is active and the Audio Mixer has been set up in the Configuration pages.


Reporting Toolbar

The Reporting Toolbar contains 3 Panels.

The Panels are known respectively as:-

  • Log Files - the log files saved by this application
    • System Log Files - Show Monthly System log files
    • Call Log File - Show Daily Call log files
    • Text Log Files - start an all system call
  • Voice
    • Voice Replay - Show Voice recording files
  • ARS Server
    • ARS User List - Display current ARS User list


Report System Log (button)

The System Log is compiled on a monthly basis and contains notable events.

When the System Log button is pressed a Find System Log Files dialog will appear.

(This dialog will remain open until explicitly closed).

This dialog has simple date filtering and can be sorted in ascending or descending Date order - by pressing the Local Date column heading.

The user may select a Log file and open it by double-left-clicking on it.

The System log file will then be displayed in the PC's default web browser.

An example of the output is shown below...

Example of System log in the IE web browser


Report Call Log (button)

The Call Log is compiled on a daily basis and logs all calls and radio events.

When the Call Log button is pressed a Find Call Log Files dialog will appear.

(This dialog will remain open until explicitly closed).

This dialog has simple date filtering and can be sorted in ascending or descending Date order - by pressing the Local Date column heading.

In this case I have selected a 6 x week period with the most recent first.

The user may select a Log file and open it by double-left-clicking on it.

The Call log file will then be displayed in the PC's default web browser.

An example of the output is shown below...

Example of Call log in FireFox web browser


Report Text Log (button)

The Text Message Log is compiled on a daily basis and contains all incoming and outgoing Text messages and requested Acknowledge events.

When the Text Log button is pressed a Find Text Log Files dialog will appear.

(This dialog will remain open until explicitly closed).

This dialog has simple date filtering and can be sorted in ascending or descending Date order - by pressing the Local Date column heading.

The user may select a Log file and open it by double-left-clicking on it.

The Text Message log file will then be displayed in the PC's default web browser.

An example of the output is shown below...

Example of Text Message log in the FireFox web browser


Report Voice Replay (button)

Voice Replay (button)

The Recorded Voice Files are saved as individual recordings for the entire time of the call.System Log is compiled on a monthly basis and contains notable events.

When the Voice Replay button is pressed a Find Voice Files dialog will appear. This will contain a list of days that have Voice recordings.

(This dialog will remain open until explicitly closed).

This dialog has simple date filtering and can be sorted in ascending or descending Date order - by pressing the Local Date column heading.

The user may select a Daily Voice Call file and open it by double-left-clicking on it.

The Daily list of Voice calls will then be displayed in the PC's default web browser.

An example of the output is shown below...

Example of a daily Voice Call list in the FireFox web browser

To play a recording the User should double click on the link in the File Name column. This should start the PC's default WAV player and the recording can be listened to.


ARS User List (button)

The ARS User List is not really a report but is a dynamic display of Registered Radios.

(This dialog will remain open until explicitly closed).

This dialog can be opened and closed without any effect on the ARS Server operation.

The columns available are :-

  • Subscriber - Subscriber/Radio Id
  • Online - Online/Offline Status
  • Expires - Expiry Time of the Registration
  • Update - Time of Last Update
  • IP Address - radio Network IP Address of Radio
  • Device ID - supplied with Registration


Location Toolbar

The Location Toolbar contains 4 Panels of buttons.

The Panels are known respectively as:-

  • Call Radio - these buttons are identical to the 'Dispatcher' call requests
    • Private Call - start a private call
    • Group Call - start a group call
    • All System Call - start an all system call
    • Private Alert Call - start an private alerted call
    • Text Message - send a Text Message to another radio
  • Remote Control - issue a remote request to the radio
    • Check Remote Radio button - remote radio status check
    • Enable Remote Radio button - enable a remote radio
    • Disable Remote Radio button - disable a remote radio
    • Monitor Remote Radio button - monitor a remote radio
    • DeKey Remote Radio button - dekey a remote radio
  • GPS Map Control - controls how the map is manipulated
    • Zoom In button - Zoom In on map's "centred" point
    • Zoom Out button - Zoom Out from map's "centred" point
    • Load Maps button - Download Google Maps(TM)
    • Centre Base button - Centr Map on Base Station
  • GPS Poll Control - controls the GPS Radio Polling List
    • Add Radio button - Add a Radio to the GPS poll list
    • Remove Radio button - Remove a Radio from the GPS poll list
    • Load List button - Load the saved GPS Polling list
    • Save List button - Save the current GPS Polling list
    • Reset List button - Reset the current GPS Polling list


Map Zoom In (button)

The user should press this button when they wish to Zoom In (more detail) on the map's centre point.

The map centre point is originally the Base position but may be altered by left-double-clicking anywhere on the map surface. This will set a new centre reference point.

If the displayed map is black or has black regions - additional map tiles will need to be downloaded. An internet connection is required for this.


Map Zoom Out (button)

The user should press this button when they wish to Zoom Out (less detail) on the map's centre point.

The map centre point is originally the Base position but may be altered by left-double-clicking anywhere on the map surface. This will set a new centre reference point.

If the displayed map is black or has black regions - additional map tiles will need to be downloaded. An internet connection is required for this.


Map Download (button)

Overview

This application is designed to work with or without an internet connection. Many volunteer and other emergency services do not always have internet access when they are operating in the field.

This application is designed to download Google Maps(TM) map tiles and store them locally on the PC (in the nominated GoogleMaps folder).

This allows the application to be independent of the internet and also to stop it continually accessing the GoogleMaps(TM) web site. All use of Google Maps(TM) must display an accredition - not doing this breaks their fair usage agreement.

Note:
Once a map tile has been downloaded it does not need to be downloaded again. Before downloading any tile, this application checks for the tile's local existance - if the tile already exists, then the download request for that tile is discarded.

How to Download Map Tiles

This operation requires a connection to the internet to access the Google Maps(TM) web site.

If the map display or parts of it are black, then this indicates that the map is incomplete and the necessary map information is not available from the local PC's designated GoogleMaps folder.

The user should scroll to a black area on the map and Right-Click the mouse button.

This will insert the Map Sprite/Icon, Map Sprite which indicates the centre of the area that requires the new map tiles. If this Sprite/Icon is not displayed then the Map Download button will be ignored.

The Map download may take some time to complete, but an indicator in the Base Station information box will display the approximate number of tiles required and their download progress (if any).

Google Maps(TM) places a limit on the number of map accesses it allows an IP address to make in a certain time period. If you download too many Google Maps, eventually Google Maps(TM) will stop supplying valid map data and return the following image

Google Usage Limit If your map display shows this symbol, you must manually remove the associated files from the PC's GoogleMaps folder.

To do this - the following recommendations should be followed:

  • Exit the TransTRBO application
  • Open Windows Explorer
  • Navigate to the Application's GoogleMaps folder
  • View the folder in "Thumbnails" mode
  • Identify Black/Blank images and delete them
  • Identify any images showing the Google Usage Limit image and delete them as well
  • Restart the application and wait some time before attempting to download any more map tiles


Map Centre on Base (button)

Centre Map on Base (button)

This button will set the map's centre point reference to the Base position. It will then centre the map on the Base.

The user should press this button when they wish to reset the map centre point reference back to the default.


Add Radio to Poll List

Add Radio to Poll list (button)

The user should press this button when they wish to Add a Radio to the GPS Poll list.

Pressing this button will display (pop up) the Add Radio to Poll floating keypad.

Refer to Add Radio to Poll (floating keypad) for more details.


Remove Radio from Poll

Remove Radio from Poll list (button)

The user should press this button when they wish to Remove a Radio from the GPS Poll list.

Pressing this button will display (pop up) the Remove Radio from Poll floating keypad.

Refer to Remove Radio from Poll (floating keypad) for more details.


Load Radio Poll List

Load GPS Radio Poll List (button)

The user should press this button when they wish to overwrite the current GPS Radio Poll list.

Pressing this button will reset the GPS Radio Poll list, stop any polling and remove the current Location Sprites. It will then populate the current GPS Radio Poll List with the list saved in the PC's registry and commence to poll any radios in that list.


Save Radio Poll List

Save GPS Radio Poll List (button)

The user should press this button when they wish to permanently Save the Radio ID's in the current GPS Poll list.

Pressing this button will save the current GPS Poll list to the PC's registry. This list will remain until it is overwritten by a future Save GPS Radio Poll List operation.


Reset Radio Poll List

Reset Radio Poll List (button)

The user should press this button when they wish to Remove all Radios from the current GPS Poll list.

Pressing this button will reset the current GPS Poll list, stop polling any radios and remove any Radio location sprites from the map. (This does not reset the saved GPS Poll List.)


Status Bar

The status bar is at the bottom of the main application frame. Its content will depend on its width.

For full screen display the Status Bar will display the following fields and controls:

Radio Status

This can be one of the following:-
  • Radio not found
  • Not MotoTRBO Device
  • Closed by Radio
  • Disconnecting
  • Getting Serial number
  • Radio not registered
  • Radio Ready
  • Connecting ...
  • Radio Disconnected

Zone

This will display the current Zone number and if a text name is available this will also be displayed.

Channel

This will display the current Channel number and if a text name is available this will also be displayed.

Radio

This will display the Serial number of the connected radio.

Radio Volume Controls

For full screen display the following Volume controls will be available
  • Volume Down button - lowers the radio's volume by its preset amount
  • Volume slider control - allows setting the radio's volume between OFF and FULL
  • Volume Up button - raises the radio's volume by its preset amount

Note:
If the Volume is changed using the Radio's volume control then the result will be reflected in the Status Bar's Volume Slider.


Recent Call List (Pane)

Recent Call List

The basic purpose of this pane is to display recent call information, but it also will display other notable radio events such as Remote commands, Text messages and their respective responses if any.

This icon in the first column of the pane matches that used to initiate a call or event. This should allow an intuitive view of what the displayed event is.

Call information will also be logged in the daily call log, similarly Text information is logged in a separate daily Text Log. Refer to the Reporting toolbar.

If the Radio Alias check box in the Configuration- Company Information page has been ticked, then any defined contact text alias will be displayed in lieu of the radio or group number.


Contact List (Pane)

Overview

The Contacts list/Pane is a part of the main screen that can be hidden or displayed, depending on the setting of the Contacts and Favourites tick boxes. These tick boxes are in the Hide/Show section of the Dispatcher toolbar. See here ...

A populated Contact List is comprised of 4 sections...

  • Favourites - holds validated Radios/Groups chosen as favouries that will be displayed separately as Call buttons in the Favourites pane
  • Groups - holds validated group numbers
  • Subscribers - holds validated radio subscriber numbers
  • Unknown - holds all the non-validated numbers

Populating the Contact List

The contact list can be populated either by manually Adding Contacts or:-

  1. Logging in.
  2. Connecting to a radio.
  3. Selecting the Maintenance toolbar tab, and then
  4. Pressing the Read Radio Contacts Button.

Pressing the Read Radio Contacts Button will send a series of requests to the attached radio. Each request will read a contact name from the radio's contact menu list. These contact names are then saved for that specific radio and available in the Contact List whenever that radio is connected.

On the completion of this transaction, all newly loaded contact names will be displayed in the Unknown section of the Contact List.

Validating a Contact Name

If a number exists in the Unknown display section and it is recognised in any call, it will then be moved to either the Group or Subscriber display section - depending on its recognised type.

Using Group/Subscriber numbers

Double clicking on a number within the Group display section will display the Group Call floating Keypad and populate it with the chosen group number.

Double clicking on a number within the Subscriber display section will display the Private Call floating Keypad and populate it with the chosen subscriber number.


Favourite Contact buttons (Pane)

Overview

The Favourites Pane is part of the main screen that can be hidden or displayed, depending on the setting of the Contacts and Favourites tick boxes. These tick boxes are in the Hide/Show section of the Dispatcher toolbar. See here ...

The Favourite Call buttons act like a connect and PTT all in the one button. Their width is designed with Touch Screens in mind.

Note: Their number is limited by screen height and the panel can be attached to the main application frame or it can "float".

The user can add and remove these buttons by using Modify Contacts available from the Maintenance Toolbar. See Maintenance Toolbar - and Modify (Contact)


Base Station and Radio Poll List (Pane)

Overview

This Pane is comprised of two sections
  • The top part has Base Station information
  • The bottom part holds the Radio Poll List

Base Station

This information is the Base station latitude/longitude, current Map Zoom level plus Map Download status.

Radio Poll List

Hold the current list of all polled radios.
The List contains the following information:-
  • Mark - the current location marker Sprite Id for the radio
  • Alias - text name/alias for the radio number
  • Status - last poll activity recorded for the radio
  • ARS - indicates whether the radio is known to the local ARS server
  • Udp Time - the timestamp for the last recorded GPS response(update) from the radio
  • Count - the number of valid GPS reponses
  • Radio # - the radio's subscriber number
  • Latitude - the last recorded Latitude for the radio
  • Longitude - the last recorded Longitude for the radio
  • Poll Time - the last time the radio was polled
  • Count - the number of times the radio has been polled
  • Tx Time - the last time the radio was sent an LRRP/GPS request
  • Count - the count of Tx requests


GPS and Google Map(TM) (Pane)

Overview

The GPS and Google Map(TM) pane is a resizable, scrollable, dragable view, used to display Google Maps(TM) and overlay the maps with the locations of the Base and GPS/LRRP responding Radios.

Control of the map is described in the GPS Map Control section of the Location toolbar

Selection and display GPS enabled radios is described in the GPS Poll Control section of the Location toolbar

Additional Notes

The map can be dragged using touch or the left mouse button.

Setting the Zoom control centre is available by double tapping (or left mouse button) on any point on the map.


Floating Keypads

Floating keypads are generally radio number selection keypads that will show (pop up) in response to a tool bar button press.

The exception is the Radio Display/PTT, whose visiblity is controlled by the setting of Radio/PTT tick box. This tick box is in the Hide/Show section of the Dispatcher toolbar. See here ...

'Call' Radio - Floating Keypads

  • Private Call - for making a Private call.
  • Group Call - for making a call to a predefined Radio group.
  • Private Call - for making a call to "All Radios" on the network.
  • Private Alert Call - for making an Private Alerted call.
  • Text Message - for creating and sending a Text Message to another radio.

Remote Radio Operation - Floating Keypads

  • Check - checks if a Remote radio is available.
  • Enable - enables a Remote radio.
  • Disable - disables a Remote radio.
  • Monitor - monitors a Remote radio.
  • De-key - de-keys a Remote radio.

Miscellaneous - Floating Keypads

  • Radio Display/PTT - Radio front panel Display and Press To Talk (PTT).
  • Add Radio - Adds a radio to the GPS Poll List.
  • Remove Radio - Removes a radio from the GPS Poll List.


Private Call (floating keypad)

This floating keypad is required when the user wishes to make a private call to another radio.

Several methods are available to display this keypad:-

  • The user presses the Private Call tool bar button.
  • The user double clicks a Number from the Subscriber section of the Contacts List.
  • The user right clicks a Subscriber in the Contacts List and chooses Launch from the pop up menu.

The user may now either use the number supplied or enter a known Radio subscriber number.

The subscriber number may be entered directly into the Subscriber Edit box, using the numeric keys on the PC keyboard or by clicking the required keypad keys with the mouse (or finger - if using a touch screen).

The PTT (Press To Talk) button will only become active when a number is entered.

To initiate a call, the PTT button can be pressed using a mouse or finger, if using a touch screen. Alternatively, if the keypad has focus, then the PTT can also be activated by pressing the PC's 'spacebar'.

Note:
Depending on the Application's configuration, the remote subscriber number may be entered in an abbreviated form - this is described in the Configuration section Depot Based Subscriber Numbers.

Caveats:
Entering the subscriber number of the attached radio, will produce an error that can only be cleared by pressing the CLR button on the keypad.


Group Call (floating keypad)

This floating keypad is required when the user wishes to make a call to radio group.

Several methods are available to display this keypad:-

  • The user presses the Group Call tool bar button.
  • The user double clicks a Number from the Group section of the Contacts List.
  • The user right clicks a Group in the Contacts List and chooses Launch from the pop up menu.

The user may now either use the number supplied or enter a known Radio Group number.

The group number may be entered directly into the Group Edit box, using the numeric keys on the PC keyboard or by clicking the required keypad keys with the mouse (or finger - if using a touch screen).

The PTT (Press To Talk) button will only become active when a number is entered.

To initiate a call, the PTT button can be pressed using a mouse or finger, if using a touch screen. Alternatively, if the keypad has focus, then the PTT can also be activated by pressing the PC's 'spacebar'.

Caveats:
Entering a group number that is unknown to the attached radio will result in an error or no activity.


All System Call (floating keypad)

The 'All System Call' keypad consists basically of a PTT button and a 'Close' (X) button.

An 'All System' call is sent to all radios on the network and thus, does not need a destination.

To initiate a call, the PTT button can be pressed using a mouse or finger, if using a touch screen. Alternatively, if the keypad has focus, then the PTT can also be activated by pressing the PC's 'spacebar'.


Alert Private Call (floating keypad)

Private Alert Call (floating keypad)

This floating keypad is required when the user wishes to make a private alerted call to another radio.

This keypad does not have a PTT but has a CALL button instead, the reason for this is...

An 'alerted private call' does not establish a call to the remote radio, but notifies it that a 'Private Call' is requested. The remote radio operator may choose to accept the call or ignore it.
If the remote radio operator ignores the call - it will time out.

The subscriber number may be entered directly into the Subscriber Edit box, using the numeric keys on the PC keyboard or by clicking the required keypad keys with the mouse (or finger - if using a touch screen).

The CALL button will only become active when a number is entered.

To initiate the Alerted call, the CALL button can be pressed using a mouse or finger, if using a touch screen. Alternatively, if the keypad has focus, then the CALL can also be activated by pressing the PC's 'spacebar'.

If the 'CALL' is accepted then a PTT button will be shown.

Caveats:
Entering the subscriber number of the attached radio, will produce an error that can only be cleared by pressing the CLR button on the keypad.

Note:
Depending on the Application's configuration, the remote subscriber number may be entered in an abbreviated form - this is described in the Configuration section Depot Based Subscriber Numbers.


Text Message (floating keypad)

This floating keypad is required when the user wishes to create and send a Text Message to another radio.

Several methods are available to display this keypad:-

  • The user presses the Text Message tool bar button.
  • The user right clicks a Subscriber in the Contacts List and chooses Send Text from the pop up menu.

The user may now either use the number supplied or enter a known Radio subscriber number.

The subscriber number may be entered directly into the Subscriber Edit box, using the numeric keys on the PC keyboard or by clicking the required keypad keys with the mouse (or finger - if using a touch screen).

The user must then enter a Text Message in the TEXT field before the Send button will become active. The touch screen will allow you to cycle through text characters or you can use the keyboard.

If you wish to receive an acknowledgment that the Text Message has arrived at the destination radio - ensure the Text ACK button is depressed.

Pressing the Send button will then transmit the message. This event will be displayed in the Call Pane and registered in the Text Message Log.

If the Text ACK was used then the ACK or lack of an ACK, will also be displayed in the Call Pane and registered in the Text Message Log.


Check Remote Radio (floating keypad)

A user must use this keypad when they wish to check if a remote radio is powered on.

The remote radio number may be entered directly into the REMOTE Edit box, using the numeric keys on the PC keyboard or by clicking the required keypad keys with the mouse (or finger - if using a touch screen).

The CHECK button will only become active when a number is entered.

To initiate the operation, the CHECK button can be pressed using a mouse or finger, if using a touch screen. Alternatively, if the keypad has focus, then the CHECK can also be activated by pressing the PC's 'spacebar'.

Once this operation is started it will be recorded in the Recent Call List.

Success or failure will also be indicated in the Recent Call List.

  • SUCCESS - indicates that the Radio is powered on and recognised.
  • FAILURE - indicates that the Radio is powered off or out of range.

Note:
Depending on the Application's configuration, the remote subscriber number may be entered in an abbreviated form - this is described in the Configuration section Depot Based Subscriber Numbers.


Enable Remote Radio (floating keypad)

A user must use this keypad when they wish to Enable (Un-Inhibit/Un-Stun) a remote radio.

The remote radio number may be entered directly into the REMOTE Edit box, using the numeric keys on the PC keyboard or by clicking the required keypad keys with the mouse (or finger - if using a touch screen).

The ENABLE button will only become active when a number is entered.

To initiate the operation, the ENABLE button can be pressed using a mouse or finger, if using a touch screen. Alternatively, if the keypad has focus, then the ENABLE can also be activated by pressing the PC's 'spacebar'.

Once this operation is started it will be recorded in the Recent Call List.

Note:
Depending on the Application's configuration, the remote subscriber number may be entered in an abbreviated form - this is described in the Configuration section Depot Based Subscriber Numbers.


Disable Remote Radio (floating keypad)

A user must use this keypad when they wish to Disable (Inhibit/Stun) a remote radio.

The remote radio number may be entered directly into the REMOTE Edit box, using the numeric keys on the PC keyboard or by clicking the required keypad keys with the mouse (or finger - if using a touch screen).

The DISABLE button will only become active when a number is entered.

To initiate the operation, the DISABLE button can be pressed using a mouse or finger, if using a touch screen. Alternatively, if the keypad has focus, then the DISABLE can also be activated by pressing the PC's 'spacebar'.

Once this operation is started it will be recorded in the Recent Call List.

Success or failure will also be indicated in the Recent Call List.

  • SUCCESS - indicates that the remote Radio is disabling itself.
  • FAILURE - indicates that the remote Radio is out of range or this feature is disabled on it.

Note:
Depending on the Application's configuration, the remote subscriber number may be entered in an abbreviated form - this is described in the Configuration section Depot Based Subscriber Numbers.


Monitor Remote Radio (floating keypad)

A user must use this keypad when they wish to Monitor a remote radio's environment.

The remote radio number may be entered directly into the REMOTE Edit box, using the numeric keys on the PC keyboard or by clicking the required keypad keys with the mouse (or finger - if using a touch screen).

The Monitor button will only become active when a number is entered.

To initiate the operation, the Monitor button can be pressed using a mouse or finger, if using a touch screen. Alternatively, if the keypad has focus, then the Monitor can also be activated by pressing the PC's 'spacebar'.

Once this operation is started it will be recorded in the Recent Call List.

Success or failure will also be indicated in the Recent Call List.

  • SUCCESS - indicates that the Radio is is monitoring.
  • FAILURE - indicates that the Radio is out of range or the feature is disabled.

Note:
Depending on the Application's configuration, the remote subscriber number may be entered in an abbreviated form - this is described in the Configuration section Depot Based Subscriber Numbers.


De-Key Remote Radio (floating keypad)button

De-Key Remote Radio (floating keypad)

A user must use this keypad when they wish to De-Key (stop an in-progress voice transmission) a remote radio.

The remote radio number may be entered directly into the REMOTE Edit box, using the numeric keys on the PC keyboard or by clicking the required keypad keys with the mouse (or finger - if using a touch screen).

The De-Key button will only become active when a number is entered.

To initiate the operation, the De-Key button can be pressed using a mouse or finger, if using a touch screen. Alternatively, if the keypad has focus, then the De-Key can also be activated by pressing the PC's 'spacebar'.

Once this operation is started it will be recorded in the Recent Call List.

Note:
The Subscriber number MUST be 0.


Radio Display/PTT (floating keypad)

This floating keypad will usually be available while the Radio/PTT check box is ticked. This tick box is in the Show/Hide panel of the Dispatcher Toolbar.

This keypad will usually be hidden if another keypad is activated i.e Private Call, Group call etc

The display simulates the 2 x line display of a Motorola DM 3600 radio.

The Press To Talk (PTT) button will act as though it is the PTT button on the Radio.

The OK button acts like the OK button on the DM 3600


Add Radio Poll (floating keypad)

Add Radio to GPS Poll List(floating keypad)

This floating keypad is required when the user wishes to add a Radio to the GPS Poll list.

To display this keypad the user must press the Add Radio button which is available in the GPS Poll Control panel of the Location toolbar.

Caveats:
If the radio number already exists in the poll list - the entry will be ignored.
The application cannot validate the entered radio number - if it doesn't exist on the network, radio bandwidth will be wasted while it is being polled.


Remove Radio Poll (floating keypad)

Remove Radio from GPS Poll List(floating keypad)

This floating keypad is required when the user wishes to remove a Radio from the GPS Poll list.

To display this keypad the user must press the Remove Radio button which is available in the GPS Poll Control panel of the Location toolbar.

Caveats:
If the radio number does note exist in the poll list - the entry will be ignored.


User Login Dialog

Placeholder - not yet complete! ...


Text Message Received Dialog

When you receive a text message from another radio this dialog will pop-up.

The Radio Id plus date/time of when it arrived is displayed along with the actual text message.

This information will also be displayed in the Call List (Pane) and in the Text Message Log.

To reply to the text message press the Reply button and this dialog will close and be replaced by the Text Message floating keypad.

Refer to Text Message (floating keypad) for more details.


Product Registration Dialog

Product Registration

This product registration dialog will appear for the following reasons:

  • the Registration button is pressed on the System Menu
  • an unknown radio is connected
  • a Time limited Free Trial expires

Registration Type

  • Unique PC/Radio
  • Specific Radio any PC
  • Specific PC and any Radio
  • Timed Trial - Unique Radio/PC

Optional Extras

Audio Recording and Speech

Registration Information

  • Registration Signatured - generated by the application for this PC and Radio.
  • The Radio Serial Number to be registered.
  • The Confirmation Code - required to register this Radio/PC.


Radio Disconnected Dialog

Placeholder - not yet complete! ...


Add New User Dialog

Placeholder - not yet complete! ...


Setup Audio Volume Dialog

Placeholder - not yet complete!
Placeholder - not yet complete! ...


Elapsed Time Trial Dialog

Placeholder - not yet complete! ...


Unique PC/Radio Registration

Placeholder - not yet complete! ...


Specifioc Radio type registration

Specific Radio Registration

Placeholder - not yet complete! ...


Getting Started and Configuration

Info about Configuration


Getting Started Wizard

Initial system configuration

The Getting started wizard will appear until the first successful login occurs.

The Wizard's default choices should suit most sites. The Wizard's data can be altered later by logging in with the Manager's Username and Password and choosing System Configuration.

The Wizard uses the same dialog pages as the System Configuration - but they are used in a step by step wizard mode. The only signifcant difference is in the Manager Credentials page, which will be further explained below. The other pages will use the System Configuration Help explanation.

Manager's Login Credentials

The Manager has the highest level of access within the application. The password should be chosen with care. If it is forgotten then only an on-site support visit by a technician will be able to reset it

The following 3 fields are mandatory, they are:-

  • The Manager's Username
  • The Manager's password
  • The Manager's password again - to verify the spelling.

Next ...


Global Configuration

Global Configuration is only accessible to the Manager or Administrator level users.

The Manager Credentials page and the Company Data page can only be accessed by the Manager.

Important Note:
Some information in the Global Configuration is used as a template for future Radio configuration. This is for the case where the PC is used to to connect more than one Radio. In general - after a radio is connected - you must use the 'Custom Radio Configuration' to change specific Radio information.

Next >>


Manager Credentials (Configuration)

Only the Manager may change their username and password ...

To avoid accidental access - the current Manager's password must be entered to unlock the name and password fields.

After unlocking, you will not be allowed to leave this page (except through Cancel) until valid new information is entered.

Next >>


Company Data Configuration

Company Page Configuration

Only the Manager can access and change this page's information ...

Company Name

The Company's name will be used as a heading in various reports - it may be left blank.

Depot Radio Base, Auto Adjust Ceiling, All System ID

Depending on the Application's configuration, the remote subscriber number may be entered in an abbreviated form - this is described in the Configuration section Depot Based Subscriber Numbers.

PTT Hang Timer

When the user presses the PC's PTT buttons to initiate a call, the PTT will remain active for this period - even if the user ceases using the PC's button. This will enable the user to use the Radio's PTT button if they choose to.

Enable Splash

Enables or disables the initial application Splash window.

Enable Radio Alias

When enabled, if a Radio or Group has a text name associated with it - it will be used instead of the number.

Enable Audio

When enabled and if the PC has the hardware available, then Voice Recording will be allowed.

Enable Critical Updates Only

When enabled, the user will only be notified of any application updates that are deemed critical.

<<Previous Next ...


User Configuration page

TransTRBO will allow any number of unique usernames.

Users access to Radio and System functionality is graded by their access level.

The following levels are available:-

  • Manager - has access to all functionality
  • Administrator - has access to some configuration and all Radio functionality
  • Remote - has access to all Radio functionality
  • User - has access to common Radio functionality only

To add a new user - press the 'Add User' button and fill in the username, password and select their level of access.

To modify/Edit a user - just double click that user's name in the list box.

To delete a user - 'right click' on the user's name in the list box.

Note
Duplicate usernames will not be accepted.

<<Previous Next ...


Radio & USB (Configuration)

Radio and USB (ConfigurationTool)

The application will attempt to contact the Radio using IP addresses ...

USB IP Address

This is the IP Address that CPS has assigned to the attached radio. If this value is incorrect, then you will not be able to connect to the radio.

Network CAI

This is the address that CPS has assigned to the attached radio network. This value is used to automatically add Routing information to the PC's Routing table.

Short Press Time

This is the time used by the PC to simulate a radio's short press time as configured in the radio by CPS.

Long Press Time

This is the time used by the PC to simulate a radio's long press time as configured in the radio by CPS.

<<Previous Next ...


Logging Configuration page

The application produces a number of log files ...

File Prefix

This is an experimental field and should be ignored for the present.

File Path

This the the base location at which all log files will be stored.

Call List Expiry Time

The user can choose the duration that call information will remain in the Call List (Call Pane) before being erased.

<<Previous Next ...


Emergency Script page

Emergency Script Configuration page

The application will allow you to configure lists of radio messages/button presses to handle emergency responses.These are refererred to as "scripts" ...

Emergency Actions

To handle these emergency responses the radio is configured by the user to accept a series of Radio key/button presses.

These sequence of presses are specific to a radio but can be duplicated in the application using this page.

This application handles two types of emergency responses - being Emergency Acknowledge and Emergency Standby.

Available Keys

This is a list of MOTOTRBO defined radio keys.

Each script can be set up by selecting keys from the Available Keys list, by adding or removing the keys using the LEFT or RIGHT arrow buttons.

There are two groups of arrow buttons one for each script type.

The position of the keys in each script can be further manipulated by using the UP or DOWN arrow buttons.

<<Previous Next ...


Data Services Configuration page

TransTRBO can control and use the folowing MOTORBO Data Services. Each service may run on an entirely different radio and IP Address ...

Text Messaging

Adapter - select the adapter that is connected to the Text Messaging Radio.

Network CAI - Enter the CAI configured by CPS for the Text Messaging Radio

Group CAI - Enter the CAI to address groups - as configured by CPS for The Text Messaging Radio.

ARS Server

Adapter - select the adapter that is connected to the ARS Server Radio.

Network CAI - Enter the CAI configured by CPS for the ARS Server Radio

Refresh Id - Select the Refresh Id for the ARS server, where:-

  • 0 - Radio will not reregister
  • 1 - 30 Minutes
  • 2 - 60 minutes
  • 3 ~ 127 - etc

ARS Server Enable - Enable/Disable the lightweight ARS Server in this application.

GPS Server

Adapter - select the adapter that is connected to the GPS Poll Server Radio.

Network CAI - Enter the CAI configured by CPS for the GPS Poll Server Radio

Poll Period - The time in minutes between Poll request to a radio.

GPS Server Enable - Enable/Disable the GPS Radio Polling server in this application.

Google Maps - This is the file path to the Google Maps(TM) storage folder. The default folder contains a number of default Google Maps(TM). It is best to select the default folder which should be /GoogleMaps/ - a sub-directory of the application folder. Additional downloaded maps will be stored in this folder.

Note
The Adaptors may be the same as each other or the main USB Radio IP Address.
Each Network CAI will be used to update the PC's Windows Routing table.

<<Previous Next ...


GPS Base and Google Maps Configuration page

If you intend using GPS/Google Maps(TM), then the application expects you to set a "Base Station" position. If you chose the correct Google Maps folder then you will see this small world map. To download new maps you will need to be connected to the internet to access Google Map's Web site.

Overview - Setting your Base Station home

This section will be easier if using a mouse - but it should work adequately with a touch screen.

Double Left click anywhere on the map should set the Base position, a Green marker is used to indicate the position. Pressing the "Zoom +" button will Zoom In on that spot and show a more detailed map.

Right Click on the map will set the Base position at that spot, plus Zoom In.

If the Map area appears black - press the Load Map button, this will attempt to download maps centred on the Base position.

The map area is scrollable or dragable.

Other fields and Buttons

Zoom Value - this displays the current Zoom value and is identical to Google Map(TM) Zoom.

Latitude - this is the decimal Latitude of the Base position

Longitude - this is the decimal Longitude of the Base position

<<Previous Next ...


Audio Configuration page

Audio Mixer Configuration page

prelude ...

Final details ...

<<Previous Next>>


New/Custom Radio Configuration

Custom Radio Configuration

Placeholder - not yet complete!...


Custom Radio Settings

Custom Radio Settings page

prelude ...

Final details ...


Custom Emergency Settings

Custom Emergency Scripts page

prelude ...

Final details ...


Depot Based Subscriber Numbers (configuration)

Only the Manager can access and change this page's information ...

<<Previous Next ...


(No Help Available)

No help is available for this message box.

<< If you want to author help specific to each message box prompt, then remove the AFX_HIDP_xxx values from the [ALIAS] section of your .hpj file, and author a topic for each AFX_HIDP_xxx value. For example, AFX_HIDP_INVALID_FILENAME is the help topic for the Invalid Filename message box. >>


(status bar)

The status bar is displayed at the bottom of the <<YourApp>> window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you press them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar indicate which of the following keys are latched down:

Indicator Description

CAP The Caps Lock key is latched down.

NUM The Num Lock key is latched down.

SCRL The Scroll Lock key is latched down.


(Help Using Help Command)

Context Help command

Use this command to obtain help on some portion of <<YourApp>>. When you choose the toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the <<YourApp>> window, such as another toolbar button. The help topic will be shown for the item you clicked.


(Send command (File menu))

Use this command to send the active document through e-mail. This command presents a mail window with the active document attached to it. You may then fill out the To field, Subject field, and so on, and add text to the body of the message. When you are finished, you can click the Send button to send the message.


(Index command (Help menu))

Use this command to display the opening screen of help. From the opening screen, you can jump to step-by-step instructions for using <<YourApp>> and various types of reference information.

Once you open help, you can click the Contents button whenever you want to return to the opening screen.


(Using Help command (Help menu))

Use this command for instructions about using help.


(Title Bar)

<< Show your application's title bar here. >>

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control menu button

Document Control menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button


(No Help Available)

No help is available for this area of the window.


(Next Pane Command)

Next Pane

<< Write application-specific help here. >>


(Prev Pane Command)

Prev Pane

<< Write application-specific help here. >>


(Close command (Control menus))

Use this command to close the active window or dialog box.

Double-clicking a Control menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single document, the Close command on the document Control menu closes only one window at a time. You can close all windows at once with the Close command on the File menu.


(Maximize command (System menu))

Use this command to enlarge the active window to fill the available space.


(System Minimize Command)

Minimize command (application Control menu)

Use this command to reduce the <<YourApp>> window to an icon.


(Move command (Control menu))

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.


(Next Window command (document Control menu))

Use this command to switch to the next open document window. <<YourApp>> determines which window is next according to the order in which you opened the windows.


(Previous Window command (document Control menu))

Use this command to switch to the previous open document window. <<YourApp>> determines which window is previous according to the order in which you opened the windows.


(Restore command (Control menu))

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


(Size command (System menu))

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the direction keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a direction key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.


(Switch to command (application Control menu))

Use this command to display a list of all open applications. Use this task List to switch to or close an application on the list.

Dialog Box Options

When you choose the Switch To command, you will be presented with a dialog box with the following options:

Task List

Specifies the application you want to switch to or close.

Switch To

Makes the selected application active.

End Task

Closes the selected application.

Cancel

Closes the Task List box.

Cascade

Arranges open applications so they overlap and you can see each title bar. This option does not affect applications reduced to icons.

Tile

Arranges open applications into windows that do not overlap. This option does not affect applications reduced to icons.

Arrange Icons

Arranges the icons of all minimized applications across the bottom of the screen.


(View Ruler Command)

Ruler command (View menu)

<< Write application-specific help here. >>


(View Status Bar Command)

Status Bar command (View menu)

Use this command to display and hide the status bar, which describes the action to be executed by the selected menu item or pressed toolbar button, and keyboard latch state. A checkmark appears next to the menu item when the status bar is displayed.

See Status Bar for help on using the status bar.


(1, 2, ... command (Window menu))

<<YourApp>> displays a list of currently open document windows at the bottom of the Window menu. A checkmark appears in front of the document name of the active window. Choose a document from this list to make its window active.


(Window Arrange Icons Command)

Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this d ocument window.


(Cascade command (Window menu))

Use this command to arrange multiple opened windows in an overlapped fashion.


(New command (Window menu))

Use this command to open a new window with the same contents as the active window. You can open multiple document windows to display different parts or views of a document at the same time. If you change the contents in one window, all other windows containing the same document reflect those changes. When you open a new window, it becomes the active window and is displayed on top of all other open windows.


(Split Command (Window menu))

Use this command to split the active window into panes. You may then use the mouse or the keyboard arrows to move the splitter bars. When you are finished, press the mouse button or enter to leave the splitter bars in their new location. Pressing es cape keeps the splitter bars in their original location. << In a single document interface application, this command will appear on the View menu. >>


(Tile command (Window menu))

Use this command to arrange multiple opened windows in a nonoverlapped fashion.


(Tile Horizontal command (Window menu))

Use this command to vertically arrange multiple opened windows in a nonoverlapped fashion.


(Tile Vertical command (Window menu))

Use this command to arrange multiple opened windows side by side.


(Modifying the Document)

<< Write application-specific help here that provides an overview of how the user should modify a document using your application.

If your application supports multiple document types and you want to have a distinct help topic for each, then use the help context ID generated by running the MAKEHELP.BAT file produced by the application wizard. Alternately, run MAKEHM as follows:

makehm IDR_HIDR_,0x2000 resource.h

If the IDR_ symbol for one of your document types is, for example, IDR_CHARTTYPE, then the help context ID generated by MAKEHM will be HIDR_CHARTTYPE.

Note: The application wizard defines the HIDR_DOC1TYPE help context ID used by this help topic for the first document type supported by your application. The application wizard produces an alias in the .hpj file for your application, mapping HIDR_DOC1TYPE to the HIDR_ produced by MAKEHM for that document type. >>


(Scroll bars)

Displayed at the right and bottom edges of the document window. The scroll boxes inside the scrollbars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document.

<< Describe the actions of the various parts of the scrollbar, according to how they behave in your application. >>